--- title: "UpdateRuleGroup" slug: "management-cloudinsight-updaterulegroup" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-updaterulegroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # UpdateRuleGroup Available in Classic and VPC Update an event rule. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/rule/group/ruleGrp/update | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body For more information on the request body fields, see [CreateOrUpdateRuleGroupDto](/docs/en/common-vapidatatype-cicreateorupdaterulegroupdto). ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/ruleGrp/update' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "id": "**********", "groupName": "server-test", "monitorGroupKey": [ "**********" ], "metricsGroupKey": [ "**********" ], "groupDesc": "Edit server event rule.", "prodKey": "**********", "suspendRuleItems": [ { "resourceId": "**********", "metricGroupItemId": "**********" } ], "recipientNotifications": [ { "groupName": "test-nr", "groupNum": ****, "notifyTypes": [ "SMS", "EMAIL" ] } ] } ' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the event rule is updated along with the message `200 OK`.